Morpho - Bug #1564

morpho couldnt contact server when asked to supply a list of dn to add to access list

05/14/2004 12:33 PM - Margaret O'Brien

Status: Resolved Start date: 05/14/2004
Priority: Normal Due date:

Assignee: Saurabh Garg % Done: 0%
Category: morpho - general Estimated time: 0.00 hour
Target version: Unspecified Spent time: 0.00 hour
Bugzilla-ld: 1564

Description

morpho was unable to contact metacat server (given 1-2 minutes). Does this
depend on the path set in the config file? mine is set to look in data.piscoweb.org
rather than knb for sbclter's data.

History

#1 - 05/14/2004 02:07 PM - Saurabh Garg

Is it just http://data.piscoweb.org/? Shouldn't there be a /metacat at the end
of the URL? | am not sure what is the exact metacat URL for PISCO - you might
want to double check that.

Also the access screen depends on the Idap which metacat server at pisco is
using. If there Idap server is down you will not be able to refresh the access
list.

But as you say unable to contact metacat server, you might want to check the
metacat URL.

#2 - 05/14/2004 09:00 PM - Chris Jones
Yes, the actual URL is

http://data.piscoweb.org/catalog/metacat

but Margaret had shortened the name in the email. Any intermittent downtime
that I've observed has been remedied with a tomcat restart, which makes me think
we still have issues because we've been using tomcat5. So if this bug is to

stay open, it may need to be moved to the metacat list, since | think morpho is
doing fine on the communication end. I'll need to do a little more

troubleshooting with tomcat5 - possibly an API change is causing the hangs. It
could also be a performance issue with metacat.

#3 - 05/14/2004 09:05 PM - Chris Jones

After looking at the IRC log files, | realized that this bug was file around the
time that | noticed that the Idap daemon for the ecoinformatics.org tree was not
running. | told Colby, he brought it back up, and Idap queries worked again.

#4 - 03/27/2013 02:17 PM - Redmine Admin
Original Bugzilla ID was 1564
